/// <reference types="react" />
/**
 * Provides base styling for a fixed overlay element to dim content or block
 * pointer events behind a floating element.
 * It's a regular `<div>`, so it can be styled via any CSS solution you prefer.
 * @see https://floating-ui.com/docs/FloatingOverlay
 */
export declare const FloatingOverlay: import("react").ForwardRefExoticComponent<Pick<React.HTMLProps<HTMLDivElement>, string | number | symbol> & import("react").RefAttributes<HTMLDivElement>>;
