import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    enabled?: boolean;
}
/**
 * Adds click event listeners that change the open state (toggle behavior).
 * @see https://floating-ui.com/docs/useClick
 */
export declare const useClick: ({ open, onOpenChange, dataRef }: FloatingContext, { enabled }?: Props) => ElementProps;
