import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    enabled?: boolean;
    escapeKey?: boolean;
    referencePointerDown?: boolean;
    outsidePointerDown?: boolean;
    ancestorScroll?: boolean;
}
/**
 * Adds listeners that dismiss (close) the floating element.
 * @see https://floating-ui.com/docs/useDismiss
 */
export declare const useDismiss: ({ open, onOpenChange, refs, events, nodeId }: FloatingContext, { enabled, escapeKey, outsidePointerDown, referencePointerDown, ancestorScroll, }?: Props) => ElementProps;
