import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    enabled?: boolean;
    role?: 'tooltip' | 'dialog' | 'menu' | 'listbox' | 'grid' | 'tree';
}
/**
 * Adds relevant screen reader props for a given element `role`.
 */
export declare const useRole: ({ open }: FloatingContext, { enabled, role }?: Partial<Props>) => ElementProps;
